function f = Factorial(m)
%
% MathLab set of functions for B-spline wavelets
% From: E.J. Stollnitz, T.D. DeRose, D.H. Salesin. 
%       Computer Graphics. Theory and Applications.
%       Morgan Kaufmann Publishers, Inc., San Francisco, California, 1996.
%
% Function:
% Purpose:
% Comments:
%
[r, c] = size(m);
f = zeros(r, c);
for i = 1 : r
   for j = 1 : c
      f(i, j) = prod(2 : m(i, j));
   end;
end;
return;

